using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    class Program
    {
        static int brcifara(ulong v)
        {
            int brojac = 0;
            while (v > 0)
            {
                brojac++;
                v = v / 10;

            }
            return brojac;
        }
        static void Main(string[] args)
        {
            ulong  v;
            v = ulong.Parse(Console.ReadLine());

            ulong v1;
            v1 = v;
            int b ;
            b = brcifara(v);
            ulong a = 0, d = 0, c = 0;

            ulong stepen;
            ulong a1, d1;
            ulong u = 0;
            for (int i = b - 1; i >= 0; i--)
            {
                stepen = Convert.ToUInt64(Math.Pow(10, i));
                a1 = 5 * stepen;
                a = v1 / a1;
                
                v1 = v1 % a1;
                d1 = 2 * stepen;
                d = v1/ d1;

                v1 = v1 % d1;

                c = v1 / stepen;
                v1 = v1 % stepen;
                u = u + a + d + c;


            }
            Console.WriteLine(u);


        }
    }
}